Bug 1690779 - semodule -l does not return module version information
Summary: semodule -l does not return module version information
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: libselinux
Version: 8.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 8.0
Assignee: Petr Lautrbach
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-20 08:54 UTC by rhel8eap
Modified: 2019-06-13 11:24 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-13 11:23:45 UTC
Type: Bug


Attachments (Terms of Use)

Description rhel8eap 2019-03-20 08:54:03 UTC
Description of problem:

Executing semodule -l does not return module version information:
$ sudo semodule -l | head -n10
abrt
accountsd
acct
afs
aiccu
aide
ajaxterm
alsa
amanda
amtu


Version-Release number of selected component (if applicable):
Red Hat Enterprise Linux release 8.0 Beta (Ootpa)

Name         : policycoreutils
Version      : 2.8
Release      : 9.el8
Arch         : x86_64
Size         : 652 k
Source       : policycoreutils-2.8-9.el8.src.rpm
Repo         : @System
From repo    : anaconda
Summary      : SELinux policy core utilities

Comment 1 Petr Lautrbach 2019-06-13 11:23:45 UTC
Since SELinux userspace 2.4 (released 2015-02-02) modules uses CIL and CIL doesn't have any component which would represent a module name or version, a module name is derived from a filename and a version was completely dropped from semodule output.


Note You need to log in before you can comment on or make changes to this bug.